Access requests
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Respostas
200
OK
application/json
enable_access_requestbooleanOpcional
automatic_approvalbooleanOpcional
typestring · enumOpcionalValores possíveis:
user_groupsstring[]Opcional
new_customer_automatic_approvalbooleanOpcional
new_customer_form_idstringOpcional
new_customer_user_groupsstring[]Opcional
updated_atstring · date-timeOpcional
404
Portal was not found
application/json
500
An internal server error was thrown
application/json
get/portals/access-requests
GET /api/b2b/portals/access-requests HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"enable_access_request": true,
"automatic_approval": true,
"type": "FISICA",
"user_groups": [
"text"
],
"new_customer_automatic_approval": true,
"new_customer_form_id": "text",
"new_customer_user_groups": [
"text"
],
"automation": {
"value_assignment_id": "123e4567-e89b-12d3-a456-426614174000"
},
"webhook": {
"access_request_webhook_id": "text"
},
"updated_at": "2026-01-01T00:00:00.000Z"
}Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Corpo
enable_access_requestbooleanOpcional
automatic_approvalbooleanOpcional
person_typestring · enumOpcionalValores possíveis:
user_groupsstring[]Opcional
new_customer_automatic_approvalbooleanOpcional
new_customer_form_idstringOpcional
new_customer_user_groupsstring[]Opcional
Respostas
200
OK
application/json
enable_access_requestbooleanOpcional
automatic_approvalbooleanOpcional
typestring · enumOpcionalValores possíveis:
user_groupsstring[]Opcional
new_customer_automatic_approvalbooleanOpcional
new_customer_form_idstringOpcional
new_customer_user_groupsstring[]Opcional
updated_atstring · date-timeOpcional
404
Portal was not found
application/json
500
An internal server error was thrown
application/json
put/portals/access-requests
PUT /api/b2b/portals/access-requests HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 207
{
"enable_access_request": true,
"automatic_approval": true,
"person_type": "FISICA",
"user_groups": [
"text"
],
"new_customer_automatic_approval": true,
"new_customer_form_id": "text",
"new_customer_user_groups": [
"text"
]
}{
"enable_access_request": true,
"automatic_approval": true,
"type": "FISICA",
"user_groups": [
"text"
],
"new_customer_automatic_approval": true,
"new_customer_form_id": "text",
"new_customer_user_groups": [
"text"
],
"automation": {
"value_assignment_id": "123e4567-e89b-12d3-a456-426614174000"
},
"webhook": {
"access_request_webhook_id": "text"
},
"updated_at": "2026-01-01T00:00:00.000Z"
}